export const GA_TRACKING_ID = process.env.NEXT_PUBLIC_DOCS_GA_ID;

// https://developers.google.com/analytics/devguides/collection/gtagjs/pages
export const pageview = (url) => {
  // Skip when GA isn't included, i.e. when in non-prod env
  if (window && window.gtag) {
    window.gtag("config", GA_TRACKING_ID, {
      page_path: url,
    });
  }
};

// https://developers.google.com/analytics/devguides/collection/gtagjs/events
export const event = ({ action, category, label, value }) => {
  // Skip when GA isn't included, i.e. when in non-prod env
  if (window && window.gtag) {
    window.gtag("event", action, {
      event_category: category,
      event_label: label,
      value: value,
    });
  }
};
